Subject: Re: cordless drill - DeWalt the only choice?

From: Mario Nunez <[email-masked]>
Date: 9 Feb 1997 12:37:42 GMT

[email-masked] (SLIPPOY) wrote:
>I bought the Bosch 14.4 and am very happy with it.  It's got power to
>spare and has a great feature of a chuck that locks in place when the
>drill stops so you can change bits with one hand.  I tried the Porter
>Cable 12v which supposedly has more torque than the Bosch 14.4, but found
>the highest torque setting below full drill (22) wouldn't quite
>countersink a 3" drywall screw into a 2x4 whereas the similar setting on
>the Bosch buried the screw.  The drill setting on the PC did bury the
>screw, and the PC has a nice feature of diagnostics on the charger.  Its
>feel, however, was a bit clumsy and it was a bit awkward to switch from
>reverse to forward, at least to my hands.

   Well, I don't know about this.  My PC 12-volt drove 3" screws through 
the 3/4" oak piece in the back of my new kitchen cabinets, then through 
the plaster, lath and the 75 year old studs with no problem at all.  The 
real problem seemed to be knowing when to back off so I wouldn't put 
everything, including the drill itself, right through the wall.  
   I chose the PC over the DeWalt mostly because it's a shade lighter and 
fit my hand better.  At 5'5" and 150 lbs., I use a 16 oz framing hammer 
rather than a 20 or 26 ounce for the same reason.  Somewhere about the 
time I turned 40 a few years ago, I finally realized that I don't have to 
prove to myself that I'm as "tough" as my friends who are 6'6" and over 
200 lbs.
   Cheers.

Mario
Buffalo, NY